regina::LessDeref< T, Comp > Class Template Reference
Miscellaneous Utilities

An adaptable binary function used to compare the objects to which pointers are pointing. More...

`#include <utilities/ptrutils.h>`

## Public Types

typedef bool | result_type
| The result type for this binary comparison function. More...

## Public Member Functions

bool | operator() (const T *ptr1, const T *ptr2) const
| Compares the objects to which the given pointers are pointing. More...

## Public Attributes

const typedef T * | first_argument_type
| The first argument type for this binary function. More...
const typedef T * | second_argument_type
| The second argument type for this binary function. More...

## Detailed Description

### template<typename T, typename Comp = std::less<T>>
class regina::LessDeref< T, Comp >

An adaptable binary function used to compare the objects to which pointers are pointing.

This class is for use with the Standard Template Library.

The first template argument T will generally not be a pointer class. Instead, this function will accept two const pointers to T. It will then dereference these pointers and compare these dereferenced objects using the given comparison function (which defaults to std::less, but which can be changed by passing a different second template argument).

Python:\n Not present.

The documentation for this class was generated from the following file:

- utilities/ptrutils.h

Copyright © 1999-2016, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@maths.uq.edu.au).